Bug 170468 - init script kills all running sshd's if listening server is stopped
init script kills all running sshd's if listening server is stopped
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssh (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
: 184216 (view as bug list)
Depends On: 167886
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-10-11 19:28 EDT by Tomas Mraz
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0044
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 11:51:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2005-10-11 19:28:36 EDT
+++ This bug was initially created as a clone of Bug #167886 +++

Description of problem:
The init script /etc/init.d/sshd uses the function killproc from
/etc/rc.d/init.d/functions. This falls back to using the pidof command to get
PIDs for the daemon, if /var/run/[service].pid does not exist. This means that
if the ssh server is already stopped, instead of failing with "ssh server is not
running" or something similiar, it kills all other running sshd's, which,
obviously, kills everyone's connections to the server. This has a high inpact
if the server is remote and there is no easy console access.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Log on via ssh
2.run /etc/init.d/sshd stop
3.run /etc/init.d/sshd stop again.
	

Actual Results:  All ssh connections to the server were closed.

Expected Results:  It should have returned with a failure to find a process to kill.

Additional info:
Comment 7 Tomas Mraz 2006-03-07 09:44:58 EST
*** Bug 184216 has been marked as a duplicate of this bug. ***
Comment 8 Red Hat Bugzilla 2006-03-07 11:51:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0044.html

Note You need to log in before you can comment on or make changes to this bug.